Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.2.76
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class BtreeStats

    java.lang.Object
      com.sleepycat.je.DatabaseStats
          com.sleepycat.je.BtreeStats

All Implemented Interfaces:
  Serializable

    public class BtreeStats

extends DatabaseStats

The BtreeStats object is used to return Btree database statistics.

See Also:
  Serialized Form

Method Summary
`long[]` | `getBINsByLevel()` Return the count of Bottom Internal Nodes per level, indexed by level.
`long` | `getBottomInternalNodeCount()` Return the number of bottom internal nodes in the database tree.
`long[]` | `getDBINsByLevel()` Return the count of Duplicate Bottom Internal Nodes per level, indexed by level.
`long` | `getDeletedLeafNodeCount()` Return the number of deleted data records in the database tree that are pending removal by the compressor.
`long[]` | `getDINsByLevel()` Return the count of Duplicate Internal Nodes per level, indexed by level.
`long` | `getDupCountLeafNodeCount()` Return the number of duplicate count leaf nodes in the database tree.
`long` | `getDuplicateBottomInternalNodeCount()` Return the number of duplicate bottom internal nodes in the database tree.
`long` | `getDuplicateInternalNodeCount()` Return the number of internal nodes in the database tree pertaining to duplicate data sets.
`int` | `getDuplicateTreeMaxDepth()` Return the maximum depth of the duplicate database trees.
`long[]` | `getINsByLevel()` Return the count of Internal Nodes per level, indexed by level.
`long` | `getInternalNodeCount()` Return the number of internal nodes in the database tree.
`long` | `getLeafNodeCount()` Return the number of leaf nodes in the database tree, which can equal the number of records.
`int` | `getMainTreeMaxDepth()` Return the maximum depth of the main database tree.
`String` | `toString()` For convenience, the BtreeStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public String toString()

  For convenience, the BtreeStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

### getBottomInternalNodeCount

    public long getBottomInternalNodeCount()

  Return the number of bottom internal nodes in the database tree.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    number of bottom internal nodes in the database tree.

### getDuplicateBottomInternalNodeCount

    public long getDuplicateBottomInternalNodeCount()

  Return the number of duplicate bottom internal nodes in the database tree.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    number of duplicate bottom internal nodes in the database tree.

### getDeletedLeafNodeCount

    public long getDeletedLeafNodeCount()

  Return the number of deleted data records in the database tree that are pending removal by the compressor.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    number of deleted data records in the database tree that are pending removal by the compressor.

### getDupCountLeafNodeCount

    public long getDupCountLeafNodeCount()

  Return the number of duplicate count leaf nodes in the database tree.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    number of duplicate count leaf nodes in the database tree.

### getInternalNodeCount

    public long getInternalNodeCount()

  Return the number of internal nodes in the database tree.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    number of internal nodes in the database tree.

### getDuplicateInternalNodeCount

    public long getDuplicateInternalNodeCount()

  Return the number of internal nodes in the database tree pertaining to duplicate data sets.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    number of internal nodes in the database tree pertaining to duplicate data sets.

### getLeafNodeCount

    public long getLeafNodeCount()

  Return the number of leaf nodes in the database tree, which can equal the number of records. This is calculated without locks or transactions, and therefore is only an accurate count of the current number of records when the database is quiescent.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    number of leaf nodes in the database tree, which can equal the number of records. This is calculated without locks or transactions, and therefore is only an accurate count of the current number of records when the database is quiescent.

### getMainTreeMaxDepth

    public int getMainTreeMaxDepth()

  Return the maximum depth of the main database tree.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    maximum depth of the main database tree.

### getDuplicateTreeMaxDepth

    public int getDuplicateTreeMaxDepth()

  Return the maximum depth of the duplicate database trees.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    maximum depth of the duplicate database trees.

### getINsByLevel

    public long[] getINsByLevel()

  Return the count of Internal Nodes per level, indexed by level.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    count of Internal Nodes per level, indexed by level.

### getBINsByLevel

    public long[] getBINsByLevel()

  Return the count of Bottom Internal Nodes per level, indexed by level.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    count of Bottom Internal Nodes per level, indexed by level.

### getDINsByLevel

    public long[] getDINsByLevel()

  Return the count of Duplicate Internal Nodes per level, indexed by level.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    count of Duplicate Internal Nodes per level, indexed by level.

### getDBINsByLevel

    public long[] getDBINsByLevel()

  Return the count of Duplicate Bottom Internal Nodes per level, indexed by level.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    count of Duplicate Bottom Internal Nodes per level, indexed by level.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.2.76
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1996,2008 Oracle. All rights reserved.